/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:getttynam.c 12.0$ */
/* $ACIS:getttynam.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/getttynam.c,v $ */

#ifndef lint
static char *rcsid = "$Header:getttynam.c 12.0$";
#endif

/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)getttynam.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

#include <ttyent.h>

struct ttyent *
getttynam(tty)
	char *tty;
{
	register struct ttyent *t;

	setttyent();
	while (t = getttyent()) {
		if (strcmp(tty, t->ty_name) == 0)
			break;
	}
	endttyent();
	return (t);
}
